Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Philipp Stephani <[email-masked]>
Date: Wed, 25 Nov 2020 20:35:54 +0100

Am Mi., 25. Nov. 2020 um 20:13 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Stefan Monnier <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Wed, 25 Nov 2020 13:56:40 -0500
> >
> > > What's the rationale?  Why not leave it without the cookie, right
> > > until the time we turn lexical-binding on by default?
> >
> > Because when we change the default (not sure what that could be, 2030
> > maybe?), it will change the way existing files are treated except those
> > that have a `lexical-binding:` cookie.  Clearly, this is dangerous
>
> Dangerous for loaddefs.el? why?
>

This is just basic risk management. If you want to flip a nontrivial
default, you always first switch all existing users to the new default
value explicitly.